#include<iostream>
#include<string.h>
#include<conio.h>
using namespace std;
int main()
{
	const int d = 15;
	char Esm[21], Temp[21]; //tedad 20 makan bara esm va 1 bara null 
	//tarife pointer
	int *i, *MaxLen;
	//gereftane fazaye hafeze baraye pointer ha
	i = new int;
	MaxLen = new int;

	//pardazesh barname
	*MaxLen = 0;
	cout << "tedade " << d << " Asami ra vared konid : ";
	for(*i=0; *i < d; (*i)++)
	{
		cin >> Esm;
		if(strlen(Esm) > *MaxLen)
		{
			*MaxLen = strlen(Esm);
			strcpy(Temp, Esm);
		}
	}
	//Namyesh Natije
	cout << "Natije = " << Temp;

	//azad sazi fazaye hafeze baraye pointer ha
	delete i;
	delete MaxLen;

	getch();
}

